Subject: Re: bug#58002: 29.1: Sokoban: obsoletion warnings in gamegrid

From: Dieter Deyke <[email-masked]>
Date: Sun, 13 Nov 2022 07:17:41 +0100

Stefan Kangas <[email-masked]> writes:

> Dieter Deyke <[email-masked]> writes:
>
>> Mattias Engdegård <[email-masked]> writes:
>>
>>> 22 sep. 2022 kl. 14.29 skrev Dieter Deyke <[email-masked]>:
>>>
>>>> Thanks for your efforts, but that patch does not silence the warnings on
>>>> my system. It looks like more is needed, but I do not know how to fix
>>>> it.
>>>
>>> That's odd. What warnings do you get with the patch applied?
>>> And the usual IT support questions: Are you sure you are running the
>>> right file? Did you remember to recompile it?
>>> Are you sure your computer is plugged in?
>>
>> Obviously not.  I patched the file, loaded it into an emacs buffer, did
>> an eval-buffer on it, followed by M-x sokoban. That was not good
>> enough. So I deleted the .elc file, killed, and re-started emacs, and
>> now everything is fine, and I stand there as a fool (but I get used to
>> that).  I do not know, how your patch will affect older emacs versions,
>> but if I get no negative feedback, I will apply the patch to the repo in
>> a week.
>
> Was this patch installed?  Can the bug be closed?  Thanks in advance.

Yes, the patch was installed, the warnings are gone, everything is fine
now. Please close the bug.

Thank you,
-- 
Dieter Deyke
mailto:[email-masked]
Get my Gnupg key:
gpg --keyserver keys.gnupg.net --recv-keys B116EA20